#include<iostream>
using namespace std;
int main()
{
    long long A,B,C,D,E,sbor=0;
    cin>>A>>B>>C>>D>>E;
    E=E*E*E;
    sbor=(A*A*A)+(B*B*B)+(C*C*C)+(D*D*D);
    if(sbor<=E)
    {
        cout<<"1";
        return 0;
    }
    else
    {
        if(sbor>=E)
        {
            for(int i=1; i<100000; i++)
            {
                E=E*i;
                if(sbor<=E)
                {
                    cout<<i;
                    return 0;
                }
                E=E/i;
            }
        }
    }
    return 0;
}
